=== debian/changelog ===
lua-messagepack (0.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #784165)

 -- Jason Pleau <jason@jpleau.ca>  Sun, 20 Sep 2015 22:03:33 -0400
