## lua-messagepack 0.3.4

=== debian/changelog ===
lua-messagepack (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * Add the lua5.3 compatible library
  * Update Standards-Version to 3.9.7, no changes needed
  * remove the lua-messagepack-dev package
  * cleanup unnecessary packaging files

 -- Jason Pleau <jason@jpleau.ca>  Thu, 11 Feb 2016 17:12:06 -0500
