## lua-messagepack 0.3.6

=== Makefile ===
--- 
+++ 
@@ -32,8 +32,6 @@
 while (<>) { \
     chomp; \
     next if m{^\.}; \
-    next if m{^doc/\.}; \
-    next if m{^doc/google}; \
     next if m{^rockspec/}; \
     push @files, $$_; \
 } \
@@ -66,10 +64,7 @@
 tag:
 	git tag -a -m 'tag release $(VERSION)' $(VERSION)
 
-doc:
-	git read-tree --prefix=doc/ -u remotes/origin/gh-pages
-
-MANIFEST: doc
+MANIFEST:
 	git ls-files | perl -e '$(manifest_pl)' > MANIFEST
 
 $(TARBALL): MANIFEST
@@ -77,8 +72,6 @@
 	perl -ne 'print qq{lua-MessagePack-$(VERSION)/$$_};' MANIFEST | \
 	    tar -zc -T - -f $(TARBALL)
 	rm lua-MessagePack-$(VERSION)
-	rm -rf doc
-	git rm doc/*
 
 dist: $(TARBALL)
 
@@ -113,8 +106,10 @@
 README.html: README.md
 	Markdown.pl README.md > README.html
 
+gh-pages:
+	mkdocs gh-deploy --clean
+
 clean:
-	rm -rf doc
 	rm -f MANIFEST *.bak src/luacov.*.out README.html
 
 realclean: clean
