=== debian/changelog ===
lua-messagepack (0.3.6-1) unstable; urgency=medium

  * New upstream release

 -- Jason Pleau <jason@jpleau.ca>  Sat, 03 Dec 2016 12:25:12 -0500
