## lua-messagepack 0.4.0

=== debian/changelog ===
lua-messagepack (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.8, no changes were needed

 -- Jason Pleau <jason@jpleau.ca>  Thu, 05 Jan 2017 16:17:56 -0500
