## lua-messagepack 0.5.0

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	cd $(SRC) && prove --exec=$(LUA) ../test/*.t
 
 luacheck:
-	luacheck --std=max --codes src --ignore 211/_ENV 212 213 311/j
+	luacheck --std=max --codes src --ignore 211/_ENV 212 213 311/j 631
 	luacheck --std=max --codes src5.3 --ignore 211/_ENV 212 213 311/j
 	luacheck --std=max --config .test.luacheckrc test/*.t
