=== debian/changelog ===
lua-messagepack (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update copyright dates in d/copyright
  * Bump Standards-Version to 4.0.0, no changes needed

 -- Jason Pleau <jason@jpleau.ca>  Mon, 17 Jul 2017 20:11:56 -0400
