=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
 Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://fperrad.github.io/lua-MessagePack/
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git
