=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lua-messagepack-$1\.tar\.gz/ \
  https://github.com/fperrad/lua-MessagePack/releases .*/v?(\d\S*)\.tar\.gz
