=== debian/changelog ===
lua-messagepack (0.5.1-1) unstable; urgency=medium

  * New upstream release
  * Update copyright dates in d/copyright
  * Bump Standards-Version to 4.1.3
  * Point Vcs-* fields to salsa.debian.org
  * Bump debhelper compat to 11

 -- Jason Pleau <jason@jpleau.ca>  Sat, 17 Mar 2018 10:19:54 -0400
