=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: interpreters
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11), dh-lua
+Standards-Version: 4.1.3
 Homepage: http://fperrad.github.io/lua-MessagePack/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-messagepack.git
+Vcs-Git: https://salsa.debian.org/lua-team/lua-messagepack
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-messagepack
 
 Package: lua-messagepack
 Architecture: all
