## lua-messagepack 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
 
+ifeq ($(wildcard bed),bed)
+LUA     := $(CURDIR)/bed/bin/lua
+else
 LUA     := lua
-VERSION := $(shell cd src && $(LUA) -e "m = require [[MessagePack]]; print(m._VERSION)")
+endif
+VERSION := $(shell LUA_PATH=";;src/?.lua" $(LUA) -e "m = require [[MessagePack]]; print(m._VERSION)")
 TARBALL := lua-messagepack-$(VERSION).tar.gz
 REV     := 1
 
@@ -15,6 +19,8 @@
 else
 SRC     := src
 endif
+
+BED_OPTS:= --lua latest
 
 all:
 	@echo "Nothing to build here, you can just make install"
@@ -83,36 +89,46 @@
 	luarocks pack rockspec/lua-messagepack-$(VERSION)-$(REV).rockspec
 	luarocks pack rockspec/lua-messagepack-lua53-$(VERSION)-$(REV).rockspec
 
+bed:
+	hererocks bed $(BED_OPTS) --no-readline --luarocks latest --verbose
+	bed/bin/luarocks install lua-testmore
+	bed/bin/luarocks install lua-coat
+	bed/bin/luarocks install lbc
+	bed/bin/luarocks install luacov
+	hererocks bed --show
+	bed/bin/luarocks list
+
 check: test
 
 test:
-	cd $(SRC) && prove --exec=$(LUA) ../test/*.t
+	LUA_PATH=";;$(CURDIR)/$(SRC)/?.lua" \
+		prove --exec=$(LUA) test/*.lua
 
 luacheck:
 	luacheck --std=max --codes src --ignore 211/_ENV 212 213 311/j 631
 	luacheck --std=max --codes src5.3 --ignore 211/_ENV 212 213 311/j
-	luacheck --std=max --config .test.luacheckrc test/*.t
+	luacheck --std=max --config .test.luacheckrc test
 
 coverage:
-	rm -f src/luacov.stats.out src/luacov.report.out
-	cd $(SRC) && prove --exec="$(LUA) -lluacov" ../test/*.t
-	cd $(SRC) && luacov
-
-coveralls:
-	rm -f src/luacov.stats.out src/luacov.report.out
-	cd $(SRC) && prove --exec="$(LUA) -lluacov" ../test/*.t
-	cd $(SRC) && luacov-coveralls -e /HERE/ -e %.t$
+	rm -f luacov.*
+	-LUA_PATH=";;$(CURDIR)/$(SRC)/?.lua" \
+		prove --exec="$(LUA) -lluacov" test/*.lua
+	luacov-console $(CURDIR)/src
+	luacov-console -s $(CURDIR)/src
+	luacov-console test
+	luacov-console -s test
 
 README.html: README.md
 	Markdown.pl README.md > README.html
 
-gh-pages:
-	mkdocs gh-deploy --clean
+pages:
+	mkdocs build -d public
 
 clean:
-	rm -f MANIFEST *.bak src/luacov.*.out README.html
+	rm -f MANIFEST *.bak luacov.* README.html
 
 realclean: clean
+	rm -rf bed
 
 .PHONY: test rockspec CHANGES
