=== debian/changelog ===
lua-messagepack (0.5.2-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Tue, 14 Oct 2025 13:16:11 +0200

lua-messagepack (0.5.2-1) unstable; urgency=medium

  * New upstream release (Closes: #939089)
  * Project has moved upstream -> update various urls
  * use debhelper-compat instead of debian/compat file
  * Update Standards-Version to 4.4.0, no changes
  * Update copyright years

 -- Jason Pleau <jason@jpleau.ca>  Fri, 13 Sep 2019 17:45:02 -0400
