=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: interpreters
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 11), dh-lua
-Standards-Version: 4.1.3
-Homepage: http://fperrad.github.io/lua-MessagePack/
+Build-Depends: debhelper-compat (= 12), dh-lua
+Standards-Version: 4.4.0
+Homepage: https://fperrad.frama.io/lua-MessagePack/
 Vcs-Git: https://salsa.debian.org/lua-team/lua-messagepack
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-messagepack
