=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/lua-MessagePack.*\.tar\.gz/lua-MessagePack-$1\.tar\.gz/g \
  https://framagit.org/fperrad/lua-MessagePack/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
